Last Comment Bug 883629 - remove test pilot from thunderbird
: remove test pilot from thunderbird
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 24.0
Assigned To: Magnus Melin
:
Mentors:
Depends on:
Blocks: 867437 961143
  Show dependency treegraph
 
Reported: 2013-06-16 04:00 PDT by Magnus Melin
Modified: 2014-01-17 10:54 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
proposed fix (710.86 KB, patch)
2013-06-16 04:00 PDT, Magnus Melin
standard8: review-
Details | Diff | Splinter Review
proposed fix, v2 (711.96 KB, patch)
2013-06-19 14:01 PDT, Magnus Melin
standard8: review+
Details | Diff | Splinter Review

Description Magnus Melin 2013-06-16 04:00:30 PDT
Created attachment 763222 [details] [diff] [review]
proposed fix

Testpilot got removed from firefox in bug 867445.
We don't necessarily have to, see bug 867437 comment 3, but following ff usually is the best  thing to do.

Sent to try - https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=bcb6c804faa9
Comment 1 Mark Banner (:standard8) 2013-06-19 01:56:27 PDT
Comment on attachment 763222 [details] [diff] [review]
proposed fix

Review of attachment 763222 [details] [diff] [review]:
-----------------------------------------------------------------

We also should remove:

/mail/locales/en-US/feedback/main.dtd and /mail/locales/en-US/feedback/main.properties

and adjust mail/locales/jar.mn accordingly, and there's also a extensions.testpilot.lastversion in Mozmill's runtest.py that we should drop.

::: mail/installer/package-manifest.in
@@ -220,5 @@
>  @BINPATH@/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/install.rdf
>  @BINPATH@/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/icon.png
>  @BINPATH@/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/preview.png
>  @BINPATH@/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/chrome.manifest
> -@BINPATH@/distribution/extensions/tbtestpilot@labs.mozilla.com.xpi

This should be added to removed-files.in
Comment 2 Magnus Melin 2013-06-19 05:37:01 PDT
(In reply to Mark Banner (:standard8) from comment #1)
> Comment on attachment 763222 [details] [diff] [review]
> proposed fix
> 
> Review of attachment 763222 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> We also should remove:
> 
> /mail/locales/en-US/feedback/main.dtd and
> /mail/locales/en-US/feedback/main.properties
> 
> and adjust mail/locales/jar.mn accordingly, and there's also a
> extensions.testpilot.lastversion in Mozmill's runtest.py that we should drop.

The patch does all these already, no?
Comment 3 Magnus Melin 2013-06-19 14:01:58 PDT
Created attachment 764988 [details] [diff] [review]
proposed fix, v2

Added the removed-files.in removal. The other stuff was handled already.
Comment 4 Joshua Cranmer [:jcranmer] 2013-06-19 22:43:45 PDT
(In reply to Magnus Melin from comment #3)
> Created attachment 764988 [details] [diff] [review]
> proposed fix, v2
> 
> Added the removed-files.in removal. The other stuff was handled already.

Could I ask you to also remove the mail/app/profile/extensions directory as well?
Comment 5 Magnus Melin 2013-06-20 02:15:02 PDT
Wouldn't that be covered by http://mxr.mozilla.org/comm-central/source/mail/installer/removed-files.in#153
If not, i don't know, and it's probably better to do it in another bug. It's not relate, right?
Comment 6 Mark Banner (:standard8) 2013-06-20 05:45:59 PDT
Comment on attachment 764988 [details] [diff] [review]
proposed fix, v2

Review of attachment 764988 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks, I think I missed those extra bits.

Re removing the extensions directory, this patch leaves it just the same as FF at the moment. I'm not against removing it (never did really like app/profile etc in the first place), but I tihnk we should do that in a separate bug.
Comment 7 Magnus Melin 2013-06-23 02:23:14 PDT
https://hg.mozilla.org/comm-central/rev/374d30ca7c59 -> FIXED

Note You need to log in before you can comment on or make changes to this bug.